"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * KingTable default regional object.
 * https://github.com/RobertoPrevato/KingTable
 *
 * Copyright 2018, Roberto Prevato
 * https://robertoprevato.github.io
 *
 * Licensed under the MIT license:
 * http://www.opensource.org/licenses/MIT
 */

exports.default = {
  "en": {
    "goToDetails": "Go to details",
    "sortOptions": "Sort options",
    "searchSortingRules": "When searching, sort by relevance",
    "advancedFilters": "Advanced filters",
    "sortModes": {
      "simple": "Simple (single property)",
      "complex": "Complex (multiple properties)"
    },
    "viewsType": {
      "table": "Table",
      "gallery": "Gallery"
    },
    "exportFormats": {
      "csv": "Csv",
      "json": "Json",
      "xml": "Xml"
    },
    "columns": "Columns",
    "export": "Export",
    "view": "View",
    "views": "Views",
    "loading": "Loading",
    "noData": "No data to display",
    "page": "Page",
    "resultsPerPage": "Results per page",
    "results": "Results",
    "of": "of",
    "firstPage": "First page",
    "lastPage": "Last page",
    "prevPage": "Previous page",
    "nextPage": "Next page",
    "refresh": "Refresh",
    "fetchTime": "Data fetched at:",
    "anchorTime": "Data at:",
    "sortAscendingBy": "Sort by {{name}} ascending",
    "sortDescendingBy": "Sort by {{name}} descending",
    "errorFetchingData": "An error occurred while fetching data."
  }
};