"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * KingTable colors test data.
 * https://github.com/RobertoPrevato/KingTable
 *
 * Copyright 2018, Roberto Prevato
 * https://robertoprevato.github.io
 *
 * Licensed under the MIT license:
 * http://www.opensource.org/licenses/MIT
 */
exports.default = [{
  "red": "0%",
  "hsvSaturation": "100%",
  "blue": "73%",
  "hslSaturation": "100%",
  "hsvValue": "73%",
  "hue": "217°",
  "hslLight": "37%",
  "green": "28%",
  "name": "Absolute Zero",
  "color": "#0048BA"
}, {
  "red": "69%",
  "hsvSaturation": "86%",
  "blue": "10%",
  "hslSaturation": "76%",
  "hsvValue": "75%",
  "hue": "65°",
  "hslLight": "43%",
  "green": "75%",
  "name": "Acid green",
  "color": "#B0BF1A"
}, {
  "red": "49%",
  "hsvSaturation": "47%",
  "blue": "91%",
  "hslSaturation": "70%",
  "hsvValue": "91%",
  "hue": "206°",
  "hslLight": "70%",
  "green": "73%",
  "name": "Aero",
  "color": "#7CB9E8"
}, {
  "red": "79%",
  "hsvSaturation": "21%",
  "blue": "90%",
  "hslSaturation": "100%",
  "hsvValue": "100%",
  "hue": "151°",
  "hslLight": "89%",
  "green": "100%",
  "name": "Aero blue",
  "color": "#C9FFE5"
}, {
  "red": "70%",
  "hsvSaturation": "31%",
  "blue": "75%",
  "hslSaturation": "31%",
  "hsvValue": "75%",
  "hue": "288°",
  "hslLight": "63%",
  "green": "52%",
  "name": "African violet",
  "color": "#B284BE"
}, {
  "red": "36%",
  "hsvSaturation": "45%",
  "blue": "66%",
  "hslSaturation": "30%",
  "hsvValue": "66%",
  "hue": "204°",
  "hslLight": "51%",
  "green": "54%",
  "name": "Air Force blue (RAF)",
  "color": "#5D8AA8"
}, {
  "red": "0%",
  "hsvSaturation": "100%",
  "blue": "56%",
  "hslSaturation": "100%",
  "hsvValue": "56%",
  "hue": "220°",
  "hslLight": "28%",
  "green": "19%",
  "name": "Air Force blue (USAF)",
  "color": "#00308F"
}, {
  "red": "45%",
  "hsvSaturation": "41%",
  "blue": "76%",
  "hslSaturation": "39%",
  "hsvValue": "76%",
  "hue": "205°",
  "hslLight": "60%",
  "green": "63%",
  "name": "Air superiority blue",
  "color": "#72A0C1"
}, {
  "red": "69%",
  "hsvSaturation": "100%",
  "blue": "16%",
  "hslSaturation": "100%",
  "hsvValue": "69%",
  "hue": "346°",
  "hslLight": "34%",
  "green": "0%",
  "name": "Alabama crimson",
  "color": "#AF002A"
}, {
  "red": "94%",
  "hsvSaturation": "6%",
  "blue": "100%",
  "hslSaturation": "100%",
  "hsvValue": "100%",
  "hue": "208°",
  "hslLight": "97%",
  "green": "97%",
  "name": "Alice blue",
  "color": "#F0F8FF"
}, {
  "red": "52%",
  "hsvSaturation": "99%",
  "blue": "1%",
  "hslSaturation": "98%",
  "hsvValue": "87%",
  "hue": "85°",
  "hslLight": "44%",
  "green": "87%",
  "name": "Alien Armpit",
  "color": "#84DE02"
}, {
  "red": "89%",
  "hsvSaturation": "83%",
  "blue": "21%",
  "hslSaturation": "77%",
  "hsvValue": "89%",
  "hue": "355°",
  "hslLight": "52%",
  "green": "15%",
  "name": "Alizarin crimson",
  "color": "#E32636"
}, {
  "red": "77%",
  "hsvSaturation": "92%",
  "blue": "6%",
  "hslSaturation": "85%",
  "hsvValue": "77%",
  "hue": "27°",
  "hslLight": "42%",
  "green": "38%",
  "name": "Alloy orange",
  "color": "#C46210"
}];